@import "../../../styles/global/var";

no-video-placeholder {
    display: block;
}
.no-video-placeholder {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;

    &__info {
        position: absolute;
        left: 0;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        text-align: center;

        &-icon {
            color: $white;
            opacity: 0.5;
            width: 15%;
            height: 15%;
            min-height: 44px;
            max-height: 66px;
            min-width: 44px;
            max-width: 70px;
        }
        &-text {
            font-weight: 500;
            color: $white;
            opacity: 0.5;
        }
    }

    &__controls {
        position: absolute;
        padding: 0 5%;
        height: 30px;
        width: 100%;
        bottom: 40px;
        display: flex;
    }

    &__control {
        color: $gray57c;

        &._play {
            flex: 0 0 32px;

            span {
                font-size: 32px;
                transform: translate(-10px, -5px);
            }
        }

        &._time {
            flex: 1 1 auto;

            span {
                font-size: 14px;
                line-height: 20px;
            }
        }

        &._fullscreen,
        &._volume,
        &._options {
            flex: 0 1 20px;
            margin-left: 5%;

            span {
                font-size: 20px;
                text-align: end;
            }
        }
    }

    &__progress {
        position: absolute;
        padding: 0 5%;
        width: 100%;
        display: flex;
        height: 40px;
        bottom: 0;
        justify-content: center;

        &-bar {
            width: 100%;
            margin-top: 5px;
            height: 4px;
            background-color: $white;
            opacity: 0.5;
            border-radius: 1px;
        }
    }
}
